[Piuparts-commits] [piuparts] 03/13: manually cleanup ssl certificates from imapd, ipop3d

Holger Levsen holger at moszumanska.debian.org
Sun Nov 24 05:28:34 UTC 2013


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch develop
in repository piuparts.

commit 3c59817c37259955d1d6712a8b21952d56985f0d
Author: Andreas Beckmann <anbe at debian.org>
Date:   Sun Nov 24 00:13:49 2013 +0100

    manually cleanup ssl certificates from imapd, ipop3d
    
    Signed-off-by: Andreas Beckmann <anbe at debian.org>
---
 .../scripts-leftovers/post_purge_manual_cleanup    | 29 ++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/custom-scripts/scripts-leftovers/post_purge_manual_cleanup b/custom-scripts/scripts-leftovers/post_purge_manual_cleanup
new file mode 100755
index 0000000..80a9edd
--- /dev/null
+++ b/custom-scripts/scripts-leftovers/post_purge_manual_cleanup
@@ -0,0 +1,29 @@
+#!/bin/sh
+set -e
+
+log_debug()
+{
+	echo "Debug: piuparts exception for package $PIUPARTS_OBJECTS"
+}
+
+remove_ssl_cert()
+{
+	for c in /etc/ssl/certs/*.0 ; do
+		if [ -L "$c" ] && [ "$(readlink "$c")" = "$1" ]; then
+			rm -fv "$c"
+		fi
+	done
+	rm -fv /etc/ssl/certs/$1
+	rmdir --ignore-fail-on-non-empty /etc/ssl/certs
+}
+
+case ${PIUPARTS_OBJECTS%%=*} in
+	uw-imapd)
+		log_debug
+		remove_ssl_cert imapd.pem
+		;;
+	ipopd)
+		log_debug
+		remove_ssl_cert ipop3d.pem
+		;;
+esac

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/piuparts/piuparts.git



More information about the Piuparts-commits mailing list